Trigger Native Integration
curl --request POST \
--url https://api.attention.tech/v2/conversations/{id}/trigger-native-integration \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowIds": [
"<string>"
],
"fieldKeys": [
"<string>"
],
"autoExecution": true
}
'import requests
url = "https://api.attention.tech/v2/conversations/{id}/trigger-native-integration"
payload = {
"workflowIds": ["<string>"],
"fieldKeys": ["<string>"],
"autoExecution": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflowIds: ['<string>'], fieldKeys: ['<string>'], autoExecution: true})
};
fetch('https://api.attention.tech/v2/conversations/{id}/trigger-native-integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflows": [
{
"workflowId": "<string>",
"runId": "<string>"
}
]
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Conversation
Trigger Native Integration
Triggers CRM integration workflows for a conversation (fire-and-forget). Uses deterministic workflow IDs for deduplication.
POST
/
conversations
/
{id}
/
trigger-native-integration
Trigger Native Integration
Authorizations
Path Parameters
Conversation ID
Body
application/jsonapplication/vnd.api+json
Response
Workflows triggered successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I